Subject: bug#20705: Acknowledgement (Emacs segfaults when typing "(yas-expand" after M-: in yas-minor-mode)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Jun 2015 18:21:42 +0300

> Date: Tue, 02 Jun 2015 02:17:15 -0700
> From: Clément Pit--Claudel
>  <[email-masked]>
> CC: [email-masked]
> 
> > Is the complex command line you show in your report still needed?
> 
> Not anymore. I've reduced it further (it turns out that it's sufficient to just load the right file from yasnippet to trigger the bug, so given the attached file the following recipe does the trick):
> 
>    1. emacs -Q -l segfault.el
>    2. Type "(yas-expand"
> 
> This reliably crash emacs on my machine.

I cannot reproduce the crash on mine.  How recent are your sources?
(I don't see this information in your original report.)  I tried the
current master, and it didn't crash.

Also, can you try configuring without optimizations and with the
--enable-checking='yes,glyphs' option to configure?

> I tried reducing the attached file (it's large!) and for that I started by removing all comments and strings. Interestingly this caused Emacs to stop crashing, giving the following message instead:
> 
>    eldoc error: (cyclic-function-indirection yas-expand)
> 
> Maybe someone can make sense out of that? It seems to come from src/data.c:2129:
> [...]
> Which matches part of the backtrace:

Which part of the backtrace matches that?

Thanks.